if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/pizza_val.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 pizza.in
echo "Running solution pizza_bv.cpp"
wine solutions/pizza_bv.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f pizza.in
if [ ! -f "pizza.out" ]; then
    echo "Solution didn't produced output [pizza.out]"
    read
fi
mv "pizza.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ]; then
    echo "Checker returned non-zero exit code"
    read
fi
